/******************************************************************************
** Copyright (C) 2001, University of Alabama in Huntsville. All rights 
** reserved.
**
** File   : DrawableRoundedRectangle.h
**
** Author : Satish Hota
**
** Description:
**    This file provides interface for CDrawableRoundedRectangle class.
**
** History:
** 21-Nov-01 Satish Hota
**     File Created
** 25-Nov-01 Satish Hota
**     Added methods for accessing Roundness.
** 30-Nov-01 Satish Hota
**     Added the ClipLine method.
******************************************************************************/

#if !defined(AFX_DRAWABLEROUNDEDRECTANGLE_H__9DB68968_6313_43DC_9AD0_3E395DD3C8A1__INCLUDED_)
#define AFX_DRAWABLEROUNDEDRECTANGLE_H__9DB68968_6313_43DC_9AD0_3E395DD3C8A1__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "DrawableElement.h"
#include "DrawableRectangle.h"

class CDrawableRoundedRectangle : public CDrawableElement  
{
public:
	virtual long ClipLine(int *pnFromX, int *pnFromY, int *pnToX, int *pnToY);
	virtual long SetRoundness(int nRoundX, int nRoundY);
	virtual long GetRoundness(int* pnRoundX, int* pnRoundY);
	virtual long HitTest(int nXCoor, int nYCoor);
	CDrawableRoundedRectangle(int l, int t, int r, int b, int x, int y);
	virtual long Draw();
	CDrawableRoundedRectangle();
	virtual ~CDrawableRoundedRectangle();

private:
	int m_nRoundY;
	int m_nRoundX;
};

#endif // !defined(AFX_DRAWABLEROUNDEDRECTANGLE_H__9DB68968_6313_43DC_9AD0_3E395DD3C8A1__INCLUDED_)
